## boot-icons 0.5

=== Makefile ===
#prefix = /usr/local	# if you want to use it only after mounting /usr
prefix = 
execdir = $(prefix)/bin
imgdir = $(prefix)/etc/rc.icons
mandir = $(prefix)/share/man

all: boot-icon

install: boot-icon
	install -d $(DESTDIR)$(execdir)
	install -m 755 boot-icon $(DESTDIR)$(execdir)/
	install -d $(DESTDIR)$(imgdir)
	install -m 644 img/*.ppm $(DESTDIR)$(imgdir)/
	install -d $(DESTDIR)$(mandir)/man8
	install -m 644 boot-icon.8 $(DESTDIR)$(mandir)/man8/

# rules to build:
CFLAGS=-Os
boot-icon: boot-icon.o /usr/lib/libnetpbm.a
boot-icon.o: boot-icon.c

clean:
	rm -f *.o boot-icon

distclean: clean

=== debian/changelog ===
boot-icons (0.5) unstable; urgency=low

  * Wait for udev to create framebuffer devices (Closes: #251747)

 -- Martin Waitz <tali@debian.org>  Fri,  4 Jun 2004 02:14:33 +0200

boot-icons (0.4) unstable; urgency=low

  * fix negative coordinates, thanks to Glyn Kennington
    (Closes: #234809)

 -- Martin Waitz <tali@debian.org>  Thu, 26 Feb 2004 01:49:13 +0100

boot-icons (0.3) unstable; urgency=low

  * generalize all direct/true color modes
  * use line_length instead of xres_virtual (thanks, Glyn Kennington)
    (Closes: #234138)
  * use nicer motherboard image from Pabs <pabs@zip.to>
    (Closes: #224805)

 -- Martin Waitz <tali@debian.org>  Mon, 23 Feb 2004 22:40:37 +0100

boot-icons (0.2) unstable; urgency=low

  * correctly support direct color (Closes: #214483)
  * output short problem description on error
  * create target directories on make install
  * add simple manpage
  * use debhelper v4
    - use dh_install
    - clean up debian/rules
  * debian/dirs is not needed any more

 -- Martin Waitz <tali@debian.org>  Wed,  8 Oct 2003 22:53:59 +0200

boot-icons (0.1) unstable; urgency=low

  * initial release (Closes: #124319)
    at last i remember to upload it... ;)

 -- Martin Waitz <tali@debian.org>  Wed,  5 Dec 2001 23:55:58 +0100

=== debian/control ===
Source: boot-icons
Section: admin
Priority: optional
Build-Depends: libnetpbm10-dev, debhelper (>= 4)
Maintainer: Martin Waitz <tali@debian.org>
Standards-Version: 3.6.1.0

Package: boot-icons
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Display boot progress using graphical icons
 This Package modifies the boot progress to show small graphics
 in the non-scrolling area of the screen (at the top, next to
 the Linux penguin).
 .
 For this to work, it needs kernel-level framebuffer support.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

ifeq "$(findstring debug,$(DEB_BUILD_OPTIONS))" ""
export CFLAGS += -O2
else
export CFLAGS = -g
endif


TARGET=`pwd`/debian/boot-icons

build:
	#
	# Building...
	#
	dh_testdir
	$(MAKE)

clean:
	#
	# Cleaning...
	#
	dh_testdir
	dh_testroot

	-$(MAKE) distclean

	dh_clean

install: build
	#
	# Installing...
	#
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(TARGET) mandir=/usr/share/man


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	#
	# Packaging...
	#
	dh_testdir
	dh_testroot

	dh_install
	dh_installdocs debian/README
	dh_installchangelogs
	dh_installman

	dh_installinit -r --no-start --name=progress.kernel -- start 05 S .
	dh_installinit -r --no-start --name=progress.mount -- start 35 S .
	dh_installinit -r --no-start --name=progress.network -- start 45 S .
	dh_installinit -r --no-start --name=progress.service -- \
					start 19 2 3 4 5 .
	dh_installinit -r --no-start --name=progress.up -- \
					start 25 2 3 4 5 .

	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums

	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
